## zopfli 0~git130414

=== debian/changelog ===
zopfli (0~git130414-1) unstable; urgency=low

  * Initial release (closes: #702170).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 03 Mar 2013 13:31:30 +0100
