=== debian/control ===
Source: zopfli
Section: utils
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/zopfli/

Package: zopfli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: zlib (gzip, deflate) compatible compressor
 Zopfli Compression Algorithm is a new zlib (gzip, deflate) compatible
 compressor. This compressor takes more time (~100x slower), but compresses
 around 5% better than zlib and better than any other zlib-compatible
 compressor we have found.
