## zopfli 1.0.0

=== debian/changelog ===
zopfli (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Dec 2013 01:20:05 +0100
