## zopfli 1.0.1

=== debian/changelog ===
zopfli (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update hardened_build.patch for this release.
  * Update project homepage and source location.
  * Update Standards-Version to 3.9.6 .

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Oct 2015 16:40:14 +0200
