=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/zopfli/
+Standards-Version: 3.9.6
+Homepage: https://github.com/google/zopfli
 
 Package: zopfli
 Architecture: any
