## zopfli 1.0.1+git160119

=== debian/changelog ===
zopfli (1.0.1+git160119-1) unstable; urgency=low

  * Use git snapshot for open source and threading compatible CRC
    implementation in gzip_container.c (closes: #811471).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Jan 2016 18:31:26 +0100

zopfli (1.0.1-3) unstable; urgency=low

  * Install all headers (closes: #810618).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Jan 2016 15:51:59 +0100

zopfli (1.0.1-2) unstable; urgency=low

  * Build parallel.
  * Provide library packages (closes: #794232).
  * Add patch to build static library.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Oct 2015 17:01:00 +0200
