=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,11 @@
 
 override_dh_auto_configure:
 
+override_dh_auto_build:
+	dh_auto_build
+	$(MAKE) libzopfli
+
 %:
-	dh  $@
+	dh  $@ --parallel
 
-.PHONY: override_dh_auto_configure
+.PHONY: override_dh_auto_configure override_dh_auto_build
