## zopfli 1.0.1+git160527

=== debian/changelog ===
zopfli (1.0.1+git160527-1) unstable; urgency=low

  * Use newest git snapshot for latest lodepng and fixed png related bugs,
    including other fixes.
  * Apply patch "check for greyscale when small image uses palette"
    (closes: #862286).
  * Correct libzopfli1 short description (closes: #825746).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 May 2017 19:21:09 +0000

zopfli (1.0.1+git160119-2) unstable; urgency=low

  * Build and install zopflipng (closes: #861895).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 05 May 2017 15:21:03 +0000
