=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/zopfli
 
 Package: zopfli
@@ -19,7 +19,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: HTTP and WebDAV client library
+Description: zlib (gzip, deflate) compatible compressor - shared library
  Zopfli Compression Algorithm is a new zlib (gzip, deflate) compatible
  compressor. This compressor takes more time (~100x slower), but compresses
  around 5% better than zlib and better than any other zlib-compatible
