=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	$(MAKE) zopflipng
 	$(MAKE) libzopfli
+	$(MAKE) libzopflipng
 
 %:
 	dh  $@ --parallel
