=== debian/changelog ===
zopfli (1.0.2-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Mar 2019 11:52:52 -0700

zopfli (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add zopflipng libraries (closes: #825879).
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.4 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers (closes: #866903).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 May 2018 19:52:52 +0000
