=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: zopfli
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.4
 Homepage: https://github.com/google/zopfli
 
 Package: zopfli
