=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: zopfli
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.4
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/google/zopfli
 
 Package: zopfli
