=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) zopflipng
-	$(MAKE) libzopfli
-	$(MAKE) libzopflipng
+	dh_auto_build -- zopflipng
+	dh_auto_build -- libzopfli
+	dh_auto_build -- libzopflipng
 
 %:
-	dh  $@ --parallel
+	dh  $@
 
 .PHONY: override_dh_auto_configure override_dh_auto_build
